CppUnit project page | FAQ

Public Member Functions | List of all members
TestSuiteFactory< TestCaseType > Class Template Reference

TestFactory for TestFixture that implements a static suite() method. More...

`#include <TestSuiteFactory.h>`

Inheritance diagram for TestSuiteFactory< TestCaseType >:

## Public Member Functions

virtual Test * | makeTest ()
Public Member Functions inherited from TestFactory
virtual | ~TestFactory ()

## Detailed Description

### template<class TestCaseType>
class TestSuiteFactory< TestCaseType >

TestFactory for TestFixture that implements a static suite() method.

See also
  AutoRegisterSuite.

## Member Function Documentation

## ◆ makeTest()

template<class TestCaseType>

virtual Test* TestSuiteFactory< TestCaseType >::makeTest | ( |  | ) |

inline virtual

Makes a new test.

Returns
  A new Test.

Implements TestFactory.

The documentation for this class was generated from the following file:

- TestSuiteFactory.h

| Send comments to: CppUnit Developers